Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005459 [JEDI VCL] 00 JVCL Components major always 2011-01-14 20:36 2012-09-10 14:15
Reporter LarryHengen View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005459: There is no mechanism to Unregister a Custom Validator Descendant
Description If you create a descendant of TJvBaseValidator in a separate package and register it so it's usable in the IDE using the class procedure RegisterBaseValidator() there is no corresponding UnRegisterBaseValidator() class method you can use to unregister the validator when your package unloads (call from the finalization section). This will result in AVs in the IDE when the class is accessed.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018351)
obones (administrator)
2011-02-15 13:48

Please provide the zipped sources of a sample application showing this.
(0018592)
obones (administrator)
2011-06-07 17:37

any news?
(0019593)
obones (administrator)
2012-02-27 16:54

UnregisterBaseValidator added in SVN

- Issue History
Date Modified Username Field Change
2011-01-14 20:36 LarryHengen New Issue
2011-02-15 13:48 obones Note Added: 0018351
2011-02-15 13:48 obones Status new => feedback
2011-06-07 17:37 obones Note Added: 0018592
2012-02-27 16:54 obones Note Added: 0019593
2012-02-27 16:54 obones Status feedback => resolved
2012-02-27 16:54 obones Fixed in Version => Daily / SVN
2012-02-27 16:54 obones Resolution open => fixed
2012-02-27 16:54 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker